#!/bin/bash

log="/var/log/IPS.log"
prg="ips.exe"
settings="/home/user/.wine/drive_c/IP-Symcon/settings.json"

if pidof $prg > /dev/null
then
    echo -e $(date)"\tIP-Symcon läuft. Warte auf Aktualisierung der \"settings.json\"." >> $log
    inotifywait -q -e close_write --format %w%f $settings | while read FILE
    do
	echo -e $(date)"\tBeende IP-Symcon." >> $log
	if killall $prg
        then
		echo -e $(date)"\tIP-Symcon wurde beendet." >> $log
		pkill wineconsole.exe
		pkill winedevice.exe
		pkill wineboot.exe
		pkill services.exe
		pkill wineserver
		pkill explorer.exe
		pkill -9 Xvfb
	fi
        if pidof $prg > /dev/null
        then
		echo -e $(date)"\tIP-Symcon wurde erfolgreich beendet." >> $log
	fi
        done
else
    echo -e $(date)"\tIP-Symcon läuft nicht. Es gibt nichts zu tun." >> $log
    exit 1
fi

exit

